/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */
@font-face {
    font-family: 'Costaline';
    src: url('fonts/Costaline-Black.woff2') format('woff2');
    font-weight: 900;
    font-style: normal;
}

@font-face {
    font-family: 'Costaline';
    src: url('fonts/Costaline-Blackitalic.woff2') format('woff2');
    font-weight: 900;
    font-style: italic;
}

@font-face {
    font-family: 'Costaline';
    src: url('fonts/Costaline-Bold.woff2') format('woff2');
    font-weight: 700;
    font-style: normal;
}

@font-face {
    font-family: 'Costaline';
    src: url('fonts/Costaline-Bolditalic.woff2') format('woff2');
    font-weight: 700;
    font-style: italic;
}

@font-face {
    font-family: 'Costaline';
    src: url('fonts/Costaline-Extrabold.woff2') format('woff2');
    font-weight: 800;
    font-style: normal;
}

@font-face {
    font-family: 'Costaline';
    src: url('fonts/Costaline-Extrabolditalic.woff2') format('woff2');
    font-weight: 800;
    font-style: italic;
}

@font-face {
    font-family: 'Costaline';
    src: url('fonts/Costaline-Lightitalic.woff2') format('woff2');
    font-weight: 300;
    font-style: italic;
}

@font-face {
    font-family: 'Costaline';
    src: url('fonts/Costaline-Medium.woff2') format('woff2');
    font-weight: 500;
    font-style: normal;
}

@font-face {
    font-family: 'Costaline';
    src: url('fonts/Costaline-Mediumitalic.woff2') format('woff2');
    font-weight: 500;
    font-style: italic;
}

@font-face {
    font-family: 'Costaline';
    src: url('fonts/Costaline-Regular.woff2') format('woff2');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'Costaline';
    src: url('fonts/Costaline-Semibold.woff2') format('woff2');
    font-weight: 600;
    font-style: normal;
}

@font-face {
    font-family: 'Costaline';
    src: url('fonts/Costaline-Semibolditalic.woff2') format('woff2');
    font-weight: 600;
    font-style: italic;
}

@font-face {
    font-family: 'Costaline';
    src: url('fonts/Costaline-Light.woff2') format('woff2');
    font-weight: 300;
}
@font-face {
    font-family: 'Costaline';
    src: url('fonts/Costaline-Thin.woff2') format('woff2');
    font-weight: 100;
}
html, body {
	overflow-x: hidden;
}
.pocetna-item {
	display: none;
}
#rez-forma .wpcf7-form-control:not(.wpcf7-submit),
#forma-kontakt-strana .wpcf7-form-control:not(.wpcf7-submit) {
  background:
#f5f5f5 !important;
  border-radius:
5px !important;
  color: #000 !important;
}
.costaline h1, .costaline h2, .costaline h3, .costaline h4, .costaline h5, .costaline h6,
.costaline {
	font-family: 'Costaline' !important;
}
.carousel-slider-outer {
  overflow: hidden;
}
#rezsto input {
	color: #fff !important;
}
#rezsto input[type="submit"] {
	color: #000 !important;
}
#rez-forma  input[type="text"]::placeholder, 
#rez-forma input[type="email"]::placeholder, 
#rez-forma  textarea::placeholder {
	color: #000 !important;
	opacity: 1 !important;
}
.page-id-21 #masthead,
.page-id-23 #masthead {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
}
.page-id-21 #top-kontakt p a,
.page-id-23 #top-kontakt p a,
.page-id-21 .hfe-menu-item,
.page-id-23 .hfe-menu-item {
  color: #fff !important;
  border-color: #fff !important;
	background: none !important;
}
.page-id-21 #top-kontakt p a:hover,
.page-id-23 #top-kontakt p a:hover,
.page-id-21 .hfe-menu-item:hover,
.page-id-23 .hfe-menu-item:hover {
	opacity: 0.5;
}
.page-id-21 #masthead img,
.page-id-23 #masthead img {
	filter: brightness(0) invert(1);
}
.page-id-21 svg path,
.page-id-23 svg path {
  fill: #fff !important;
}
.elementor-element-ddb4ddc {
  overflow: hidden;
  height: 800px; /* Adjust this as needed */
  position: relative;
}

.elementor-element-ddb4ddc .elementor-widget-container {
  display: inline-block;
  animation: vertical-marquee 120s linear infinite;
}

@keyframes vertical-marquee {
  0%   { transform: translateY(0%); }
  100% { transform: translateY(-100%); }
}

.elementor-element-ddb4ddc p {
  display: inline-block;
  white-space: normal;
}

@keyframes rotateStrelica {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(135deg);
    }
}

.strelica {
    animation: rotateStrelica 1.5s ease-in-out forwards;
}

.cena .elementor-widget-container {
  display: flex;
  align-items: center;
  padding: 0 15px !important;
  min-width: fit-content;
  border-radius: 50px !important;
  height: 40px !important;
}
@keyframes slowRotate {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}
#izdvajamo {
  position: relative;
}
#izdvajamo::before {
  content: 'Izdvajamo';
	color: #fff;
	font-family: Costaline;
	font-size: 10vw;
	position: absolute;
	top: 10px;
	left: 0;
	z-index: 0;
	font-weight: 100;
}
#izdvajamo::after {
  content: 'Iz ponude';
	color: #fff;
	font-family: Costaline;
	font-size: 10vw;
	position: absolute;
	bottom: 10px;
	right: 0;
	z-index: 0;
	font-weight: 100;
}
#fix {
    transform: rotate(-90deg);
    transform-origin: right center;
	width: 120px !important;
}
#fix .nomargin {
	padding: 0 !important;
}
#fix .e-con-inner {
	padding: 0 !important;
}
#fix p {
  height: 110px !important;
  line-height: 1.2em;
  text-align: center;
  padding: 10px 0 !important;
  font-size: 16px;
}
.stiker {
    animation: slowRotate 30s linear infinite;
	position: absolute;
	z-index: 3;
	bottom: 10px;
	left: 10px;
}
.nomargin p {
  margin: 0 !important;
}
.sastav {
	flex: 3;
}
.cena {
  flex: 1;
  min-width: 120px !important;
}
.cena p {
  width: 100%;
	text-align: center;
}
#naslovni-tekst h1 {
	font-family: 'Costaline' !important;
	font-size: 9vw;
	font-weight: 100;
}
.hfe-nav-menu li a {
  border: 1px solid #1C5223;
  border-radius: 30px;
  padding: 10px 15px !important;
   transition: all .2s;
}
#top-kontakt p a {
  border: 1px solid #1C5223;
  border-radius: 30px;
  padding: 10px 15px !important;
  margin: 0 !important;
   transition: all .2s;
	color: #1C5223 !important;
}
.wpcf7-not-valid-tip {
  display: none;
}
#top-kontakt p a:hover {
	background: #1C5223;
	color: #fff !important;
}
#top-kontakt > div:first-child {
	margin-right: 20px;
}
#top-soc svg:hover {
	opacity: 0.6;
}
.wpcf7-form-control {
  border-radius: 30px !important;
  background: #dadada;
  border: none !important;
  padding: 20px;
  margin-bottom: 20px;
  color: #fff;
}
.wpcf7-form-control[type="submit"] {
	background: #1C5223 !important;
	color: #fff !important;
	transition: all .2s;
}
.wpcf7-form-control[type="submit"]:hover {
	background: #19381D !important;
}

/* Rezervacije kontakt forma */
.rez-container textarea {
    margin: 0;
    border-radius: 5px !important;
    border: 1px solid #5E8D64 !important;
    background: transparent;
    color: #fff;
    padding: 23px 32px;
    font-family: 'Helvetica';
    font-size: 14px;
    font-weight: 400;
    height: 121px;
}
.rez-container input[type="text"]::placeholder, .rez-container input[type="email"]::placeholder, .rez-container textarea::placeholder {
	font-family: 'Helvetica';
    font-size: 14px;
		opacity: 1 !important;
	color: #fff;
}
.rez-container input[type="text"], .rez-container input[type="email"] {
    margin: 0;
    border-radius: 5px !important;
    border: 1px solid #5E8D64 !important;
    background: transparent;
    color: #fff;
    padding: 15px 32px;
    font-family: 'Helvetica';
    font-size: 14px;
    font-weight: 400;
}
.rez-container br {
	display: none;
}
.rez-container p {
	margin: 0;
}
.rez-inner-col.rez-inner-col1 > p {
	display: flex;
    flex-direction: column;
    gap: 15px;
}
.rez-container {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}
.rez-container .rez-column.rez-col-1 {
	display: flex;
    flex-direction: row;
    gap: 15px;
    width: 80%;
}
.rez-container .rez-column.rez-col-2 {
    width: 30%;
	display: flex;
	justify-content: flex-end;
}
.rez-container .rez-col-1 .rez-inner-col {
	width: 100%;
}
.rez-container .rez-col-2 p {
	display: flex;
	flex-direction: column;
	justify-content: center;
}
.rez-container .rez-col-2 input[type="submit"] {
	background: #fff !important;
	font-family: 'Helvetica';
	font-size: 24px;
	font-weight: 400;
	color: #272727 !important;
	border-radius: 100px !important;
	border: 1px solid #fff !important;
	padding: 20px 30px;
	margin: 0 !important;
	transition: all 0.3s ease-in-out;
}
.rez-container .rez-col-2 input[type="submit"]:hover {
	background: transparent !important;
	border: 1px solid #fff !important;
	color: #fff !important;
	transition: all 0.3s ease-in-out;
}
.rez-container .rez-col-2 .wpcf7-spinner {
	position: absolute;
    bottom: 0;
    right: 60px;
}
.rez-container .wpcf7-response-output {
    border-radius: 5px;
    padding: 10px 20px !important;
    width: fit-content;
    color: #fff;
    font-family: "Helvetica";
    font-size: 18px;
}
#top-kontakt p {
  margin:0 !important;
}
/*Responsive*/
@media all and (min-width: 1024px) and (max-width: 1700px) {
	body #top-kontakt p a,
	#masthead .hfe-nav-menu li a {
	  padding: 6px 10px !important;
	  font-size: 16px !important;
	}
	#top-kontakt > div:first-child,
	.hfe-nav-menu li.menu-item {
		margin-right: 15px !important;
	}
	#masthead .elementor-element-9467321.e-con-full {
	  min-width: 95% !important;
	}
	#top-soc {
	  max-width: 100px;
	}
}
@media all and (min-width: 1024px) and (max-width: 1400px) {
	.elementor-element.elementor-element-d869597.elementor-widget.elementor-widget-image {
	  max-width: 80px;
	}
	#masthead .elementor-element-9467321.e-con-full {
	  min-width: 98% !important;
	}
	body #top-kontakt p a,
	#masthead .hfe-nav-menu li a {
	  padding: 5px 9px !important;
	  font-size: 14px !important;
	}
	#top-kontakt > div:first-child,
	.hfe-nav-menu li.menu-item {
		margin-right: 10px !important;
	}
}
@media all and (max-width:1510px) and (min-width:1415px) {
	.responhead h2 {
		font-size: 160px !important;
	}
}
@media all and (max-width:1440px) and (min-width:1281px) {
	.onama-introtext {
		font-size: 30px !important;
	}
}
@media all and (max-width:1414px) and (min-width:1331px) {
	.responhead h2 {
		font-size: 150px !important;
	}
}
@media all and (max-width:1330px) and (min-width:1251px) {
	.responhead h2 {
		font-size: 140px !important;
	}
}
@media all and (max-width:1280px) and (min-width:1025px) {
	.onama-introtext {
		font-size: 27px !important;
	}
}
@media all and (max-width:1250px) and (min-width:1166px) {
	.responhead h2 {
		font-size: 130px !important;
	}
}
@media all and (max-width:1165px) and (min-width:1086px) {
	.responhead h2 {
		font-size: 120px !important;
	}
}
@media all and (max-width:1085px) and (min-width:1025px) {
	.responhead h2 {
		font-size: 110px !important;
	}
}
@media all and (max-width: 980px) {
	#fix {
		display: none !important;
	}
	.hfe-nav-menu .menu-item a {
	  border: 0;
		color: #1C5223 !important;
	}
	#izdvajamo::after {
	  bottom: 90px;
	}
	.rez-container {
		flex-direction: column;
	}
	.rez-container .rez-column.rez-col-2 {
		width: 100%;
		justify-content: flex-start;
		margin-top: 15px;
    }
	.rez-container .rez-column.rez-col-1 {
		width: 100%;
	}
	.rez-container .rez-col-2 input[type="submit"] {
		font-size: 20px;
	}
}
@media all and (max-width: 980px) {
	.pocetna-item {
		display: block;
	}
	.svg-sek svg {
	  transform: scale(0.6);
	}
	.elementor-element-ddb4ddc {
	  height: 300px; 
	}
	.rez-container .rez-column.rez-col-1 {
		flex-direction: column;
	}
		.hfe-nav-menu__toggle.elementor-clickable {
	  margin-left: 0 !important;
	}
	.current-menu-item a {
		color: #1C5223 !important;
	}
}
@media (max-width: 640px) {
	nav li {
	  padding:
	10px !important;
		color: #1C5223 !important;
	}
	.elementor-element-ddb4ddc {
	  height: 400px; 
	}
  #izdvajamo::before {
    content: 'Izdvajamo iz ponude' !important;
    line-height: 1.2em;
    text-align: center;
    margin-top: 22px;
  }
	#izdvajamo::after {
		display: none;
	}
}